<?php

namespace SuperRhino\Utils\Snowflake\Concern;

use SuperRhino\Utils\Snowflake\SnowflakeGenerator;

trait Snowflake {

    public function creating() {
        if (!$this->getKey()) {
            $this->{$this->getKeyName()} = SnowflakeGenerator::generate();
        }
    }

    public function getIncrementing() {
        return false;
    }

    public function getKeyType() {
        return 'int';
    }
}